Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Friends | List of all members
OdeQuadTreeSpace Class Reference
Inheritance diagram for OdeQuadTreeSpace:

## Public Member Functions
| OdeQuadTreeSpace (const LPoint3f &center, const LVecBase3f &extents, const int depth)
| OdeQuadTreeSpace (dSpaceID id)
| OdeQuadTreeSpace (OdeSpace &space, const LPoint3f &center, const LVecBase3f &extents, const int depth)
virtual TypeHandle | force_init_type ()
virtual TypeHandle | get_type () const
Public Member Functions inherited from OdeSpace
| OdeSpace (dSpaceID id)
void | add (OdeGeom &geom)
void | add (OdeSpace &space)
void | auto_collide ()
void | clean ()
OdeHashSpace | convert_to_hash_space () const
OdeQuadTreeSpace | convert_to_quad_tree_space () const
OdeSimpleSpace | convert_to_simple_space () const
void | destroy ()
void | disable ()
void | enable ()
void | get_AABB (LVecBase3f &min, LVecBase3f &max) const
BitMask32 | get_category_bits ()
int | get_class () const
int | get_cleanup () const
BitMask32 | get_collide_bits ()
int | get_collide_id (dGeomID o1)
int | get_collide_id (OdeGeom &geom)
std::string | get_collision_event ()
OdeGeom | get_geom (int i)
dSpaceID | get_id () const
| Returns the underlying dSpaceID.
int | get_num_geoms () const
OdeSpace | get_space () const
int | get_surface_type (dGeomID o1)
int | get_surface_type (OdeGeom &geom)
bool | is_empty () const
| Returns true if the ID is 0, meaning the OdeSpace does not point to a valid space.
int | is_enabled ()
int | is_space ()
| operator bool () const
int | query (const OdeGeom &geom) const
int | query (const OdeSpace &space) const
void | remove (OdeGeom &geom)
void | remove (OdeSpace &space)
void | set_auto_collide_joint_group (OdeJointGroup &)
void | set_auto_collide_world (OdeWorld &)
void | set_category_bits (const BitMask32 &bits)
void | set_cleanup (int mode)
void | set_collide_bits (const BitMask32 &bits)
int | set_collide_id (int collide_id, dGeomID id)
int | set_collide_id (OdeGeom &geom, int collide_id)
void | set_collision_event (const std::string &event_name)
void | set_surface_type (int surface_type, dGeomID id)
void | set_surface_type (OdeGeom &geom, int surface_type)
virtual void | write (std::ostream &out=std::cout, unsigned int indent=0) const
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from OdeSpace
static void | auto_callback (void *, dGeomID, dGeomID)
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.

## Friends
class | OdeGeom
class | OdeSpace

## Additional Inherited Members
Public Attributes inherited from OdeSpace
std::string | _collision_event
Public Attributes inherited from TypedObject
| get_type
Static Public Attributes inherited from OdeSpace
static dJointGroupID | _static_auto_collide_joint_group
static OdeSpace * | _static_auto_collide_space
static OdeWorld * | _static_auto_collide_world
static int | contactCount

## Detailed Description

Definition at line 27 of file odeQuadTreeSpace.h.

## Constructor & Destructor Documentation

## ◆ OdeQuadTreeSpace() [1/3]

OdeQuadTreeSpace::OdeQuadTreeSpace | ( | dSpaceID | id | ) |

Definition at line 32 of file odeQuadTreeSpace.cxx.

## ◆ OdeQuadTreeSpace() [2/3]

OdeQuadTreeSpace::OdeQuadTreeSpace | ( | const LPoint3f & | center,
|  | const LVecBase3f & | extents,
|  | const int | depth )

Definition at line 37 of file odeQuadTreeSpace.cxx.

## ◆ OdeQuadTreeSpace() [3/3]

OdeQuadTreeSpace::OdeQuadTreeSpace | ( | OdeSpace & | space,
|  | const LPoint3f & | center,
|  | const LVecBase3f & | extents,
|  | const int | depth )

Definition at line 47 of file odeQuadTreeSpace.cxx.

## ◆ ~OdeQuadTreeSpace()

OdeQuadTreeSpace::~OdeQuadTreeSpace | ( |  | ) |
| virtual

Definition at line 58 of file odeQuadTreeSpace.cxx.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle OdeQuadTreeSpace::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from OdeSpace.

Definition at line 56 of file odeQuadTreeSpace.h.

## ◆ get_class_type()

static TypeHandle OdeQuadTreeSpace::get_class_type | ( |  | ) |
| inline static

Definition at line 45 of file odeQuadTreeSpace.h.

## ◆ get_type()

virtual TypeHandle OdeQuadTreeSpace::get_type | ( |  | ) | const
| inline virtual

Reimplemented from OdeSpace.

Definition at line 53 of file odeQuadTreeSpace.h.

## ◆ init_type()

static void OdeQuadTreeSpace::init_type | ( |  | ) |
| inline static

Definition at line 48 of file odeQuadTreeSpace.h.

## Friends And Related Symbol Documentation

## ◆ OdeGeom

friend class OdeGeom
| friend

Definition at line 29 of file odeQuadTreeSpace.h.

## ◆ OdeSpace

friend class OdeSpace
| friend

Definition at line 28 of file odeQuadTreeSpace.h.

The documentation for this class was generated from the following files:

- panda/src/ode/odeQuadTreeSpace.h
- panda/src/ode/odeQuadTreeSpace.cxx